Botan 1.10.17

Namespaces | Functions | Variables
numthry.h File Reference
`#include <botan/bigint.h>`
`#include <botan/pow_mod.h>`
`#include <botan/rng.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
BigInt | Botan::abs (const BigInt &n)
bool | Botan::check_prime (const BigInt &n, RandomNumberGenerator &rng)
BigInt | Botan::gcd (const BigInt &a, const BigInt &b)
bool | Botan::generate_dsa_primes (RandomNumberGenerator &rng, Algorithm_Factory &af, BigInt &p, BigInt &q, size_t pbits, size_t qbits, const MemoryRegion< byte > &seed_c)
SecureVector< byte > | Botan::generate_dsa_primes (RandomNumberGenerator &rng, Algorithm_Factory &af, BigInt &p, BigInt &q, size_t pbits, size_t qbits)
BigInt | Botan::inverse_mod (const BigInt &n, const BigInt &mod)
s32bit | Botan::jacobi (const BigInt &a, const BigInt &n)
BigInt | Botan::lcm (const BigInt &a, const BigInt &b)
size_t | Botan::low_zero_bits (const BigInt &n)
BigInt | Botan::mul_add (const BigInt &a, const BigInt &b, const BigInt &c)
BigInt | Botan::power_mod (const BigInt &base, const BigInt &exp, const BigInt &mod)
bool | Botan::primality_test (const BigInt &n, RandomNumberGenerator &rng, size_t level)
bool | Botan::quick_check_prime (const BigInt &n, RandomNumberGenerator &rng)
BigInt | Botan::random_prime (RandomNumberGenerator &rng, size_t bits, const BigInt &coprime, size_t equiv, size_t modulo)
BigInt | Botan::random_safe_prime (RandomNumberGenerator &rng, size_t bits)
BigInt BOTAN_DLL | Botan::ressol (const BigInt &x, const BigInt &p)
BigInt | Botan::square (const BigInt &x)
BigInt | Botan::sub_mul (const BigInt &a, const BigInt &b, const BigInt &c)
bool | Botan::verify_prime (const BigInt &n, RandomNumberGenerator &rng)

## Variables
const size_t | Botan::PRIME_TABLE_SIZE = 6541
const u16bit BOTAN_DLL | Botan::PRIMES []